using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using System.Xml.Linq;

namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 从MES同步过来信息
    /// </summary>
    [SugarTable("LOGO_CONFIG"), TenantAttribute("AUCMA_MES")]
    public class LogoConfig
    {
        /// <summary>
        /// 主键标识 
        ///</summary>
        [SugarColumn(ColumnName = "ID", IsPrimaryKey = true, IsIdentity = true, OracleSequenceName = "SEQ_LOGO_CONFIG")]
        public int Id { get; set; }

        /// <summary>
        /// 型号
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_TYPE")]
        public string MaterialType { get; set; }

        /// <summary>
        /// 成品名称
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_NAME")]
        public string MaterialName { get; set; }

        /// <summary>
        /// 是否需要检测；0不需要；1需要
        /// </summary>
        [SugarColumn(ColumnName = "IS_CHECKED")]
        public int IsChecked { get; set; }

        /// <summary>
        /// 检测类型
        /// </summary>
        [SugarColumn(ColumnName = "CHECK_KIND")]
        public int CheckKind { get; set; }

        /// <summary>
        /// 0-两灯亮；1-ch1亮；2-ch2亮
        /// </summary>
        [SugarColumn(ColumnName = "LIGHT_TYPE")]
        public int LightType { get; set; }

        /// <summary>
        /// CH1亮度
        /// </summary>
        [SugarColumn(ColumnName = "CH1_HIGHT")]
        public int Ch1Hight { get; set; }

        /// <summary>
        ///CH2亮度
        /// </summary>
        [SugarColumn(ColumnName = "CH2_HIGHT")]
        public int Ch2Hight { get; set; }

    }
}
